#!/bin/bash
set -e

# 配置参数
REPO="oppen321/ZeroWrt-Action"

# 1. 下载GitHub Release文件
echo "➜ 下载GitHub Release文件..."

# 根据架构选择对应的tag
case "$model" in
    "x86_64")
        TAG="OpenWrt-X86_64-24.10"
        ;;
    "rockchip")
        TAG="OpenWrt-Rockchip-24.10"
        ;;
    *)
        echo "❌ 不支持的架构: $model"
        exit 1
        ;;
esac

RELEASE_URL="https://api.github.com/repos/$REPO/releases/tags/$TAG"
ASSETS=$(curl -sSL "$RELEASE_URL" | jq -r '.assets[] | .browser_download_url')

if [ -z "$ASSETS" ]; then
    echo "❌ 未找到对应release的assets文件"
    exit 1
fi

mkdir -p ./downloads
cd ./downloads

for url in $ASSETS; do
    echo "正在下载: $(basename "$url")"
    wget -q --show-progress "$url"
done